Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2004-1425

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2004-1425
Last Modified 05 Sep 2008 04:41:19
Published 31 Dec 2004 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact NONE NONE
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2004-1425

Summary

Directory traversal vulnerability in file.php in Moodle 1.4.2 and earlier allows remote attackers to read arbitrary session files for known session IDs via a .. (dot dot) in the file parameter.

Vulnerable Systems

Application

  • Moodle 1.1.1

  • Moodle 1.2

  • Moodle 1.2.1

  • Moodle 1.3

  • Moodle 1.3.1

  • Moodle 1.3.2

  • Moodle 1.3.3

  • Moodle 1.3.4

  • Moodle 1.4.1

  • Moodle 1.4.2


References

BID - 12120

XF - moodle-directory-traversal(18550)

BUGTRAQ - 20041230 Re: Multiple Vulnerabilities in Moodle

BUGTRAQ - 20041227 Multiple Vulnerabilities in Moodle


Last Updated: 27 May 2016 10:39:02